function Y = prod_nonflag(X,Y,FLAG_VAL,EXACT)
%PROD_NONFLAG Product of nonflag values
%
%  Y = PROD_NONLFAG(X,Y,FLAG_VAL,EXACT)
%
%  X and Y can be a matrix and scalar, or matrix and matrix.
%
%  See also *_NONFLAG.

% R.S. Weigel 03/01/205  
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
if (nargin < 3)
  FLAG_VAL = NaN;
end
if (nargin < 4)
  EXACT = 1;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

% Determine indices of elements that should be flagged.
[jnk,IX] = reflag(X,FLAG_VAL,FLAG_VAL,EXACT); 
[jnk,IY] = reflag(Y,FLAG_VAL,FLAG_VAL,EXACT);

I        = union(IX,IY); % Compute common indices
Y        = X.*Y;
Y(I)     = FLAG_VAL;
  