CISM_DX_GLOBALS;

% You only need to edit the metadata values in the second section below
% and the line with **YOUR_NAME and Date**.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This script (currently) requires Matlab because it calls Matlab's HDFSD
% function, which writes data to a HDF file.  (CISM_DX has HDFREAD and
% HDFINFO functions for Octave, so files can be read with either Matlab or
% Octave.).
%
% **YOUR_NAME and Date**
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Load the temporary .mat file created by make_Template_part1.m
load(sprintf('%s%s',TEMP_DIR,TEMP_FILE));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Don't edit this section.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
hdf_file = 'Template'; % The name of the HDF file to create

descr = sprintf('Part of the CISM_DX uniform time series ');
descr = [descr ,  sprintf('database, version ')];
descr = [descr ,  sprintf('%.2f.\nCreated %s.\n',...
			  CISM_DX_VERSION,datestr(now,1))];

sd_id    = hdfsd('start',hdf_file,'DFACC_CREATE');
status   = hdfsd('setattr',sd_id,'FileDescription',descr);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Edit this section.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
SDS.Name     = 'aa index from ISGI (nT)';
SDS.Format   = '';
SDS.Label    = '';
SDS.Note     = ['Data on 1 hour time grid starting on first hour of Year_o' ...
		' and ending on last hour of Year_f'];
SDS.cordsys  = 'NA';
SDS.Unit     = 'nT';   % Time series unit
SDS.timeunit = 'hour';
SDS.dt       = '1';    % Integer value of SDS.timeunit

% Manually insert any warnings your find in the data
% source's readme files.
SDS.Warn     = 'NA'; 

SDS.Year_o   = num2str(Year_o);  % All metadata is stored as strings.
SDS.Year_f   = num2str(Year_f);
SDS.FLAG     = '99999';          % FLAG value for missing data.

% Important for when we want to update the data set!
SDS.Source   = 'http://www.cetp.ipsl.fr/~isgi/source/indices/aa/';

% Important: acknowledgement information.
SDS.Ack      = ['See file XXX in ',...
		'CISM_DX_DATA/measurements/original_data/Template/'];

% Where to go for more information on the data set.
SDS.README   = ['See make_ISGI* and files in ',...
		'CISM_DX_DATA/measurements/original_data/ISGI'];

% For Earth-bound instruments only.  NA for satellites and indices.
SDS.LatLong  = 'NA';

SDS.Created_With  = ['make_Template_part2.m in CISM_DX-',CISM_DX_VERSION];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Don't edit this section
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
insert_sds(sd_id,Data',SDS,insert_flags);

stat = hdfsd('end',sd_id);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


